package com.buzztouch.database

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query
import com.buzztouch.data_models.BtAppConfig
import com.buzztouch.data_models.db_models.BtRootItem
import com.buzztouch.extensions.BtLog
import com.buzztouch.extensions.toJson

@Dao
interface AppConfigDao {

    @Query("SELECT * FROM BtRootItem LIMIT 1")
    fun getRootItem(): BtRootItem?

    fun getConfig(): BtAppConfig? = getRootItem()?.let { BtAppConfig(listOf(it)) }

    @Insert
    fun saveRootItem(rootItem: BtRootItem)

    fun saveConfig(config: BtAppConfig) {
        BtLog("saveConfig(): ${config.toJson()}")
        config.BT_items.firstOrNull()?.let { saveRootItem(it) }
    }

    @Query("DELETE FROM BtRootItem")
    fun clearAll()
}