package com.buzztouch.database

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query
import com.buzztouch.data_models.BT_item
import com.buzztouch.data_models.db_models.BtScreen

@Dao
interface BT_dao {

    @Query("SELECT * FROM BT_item WHERE itemId = :itemId")
    fun getById(itemId: String): BT_item?

    @Query("SELECT * FROM BT_item WHERE itemNickname = :nickname")
    fun getByNickname(nickname: String): BT_item?

    @Query("SELECT * FROM BT_item")
    fun getAll(): List<BT_item>

    @Insert
    fun insert(screen: BT_item)

    @Query("DELETE FROM BT_item")
    fun clear()
}
