package com.buzztouch.database

import androidx.room.TypeConverter
import com.buzztouch.data_models.BT_item
import org.json.JSONException
import org.json.JSONObject

class BT_dbTypeConverters {
    @TypeConverter fun fromInt(value: Int): Boolean = value == 1
    @TypeConverter fun toInt(value: Boolean): Int = if (value) 1 else 0

    @TypeConverter fun fromString(value: String): JSONObject? = try { JSONObject(value) } catch (e: JSONException) { null }
    @TypeConverter fun toString(value: JSONObject): String = value.toString()

    fun fromType(type: BT_item.Type?): Int? = type?.ordinal
    fun toType(ordinal: Int?): BT_item.Type? = ordinal?.let { BT_item.Type.values()[it] }
}
