package com.buzztouch.extensions

import android.app.AlertDialog
import android.content.Context
import android.content.DialogInterface
import androidx.core.content.ContextCompat
import com.buzztouch.R

fun AlertDialog.addButton(index: Int, title: String, action: (() -> Unit)? = null) {
    setButton(index, title) { _, _ ->
        action?.let { it() }
        dismiss()
    }
}

fun errorAlert(context: Context, title: String, message: String) {
    val adb = AlertDialog.Builder(context)
    adb.setTitle(title)
    adb.setMessage(message)
    adb.setCancelable(false)
    adb.setNegativeButton(R.string.ok) { dialog, _ -> dialog.cancel() }
}
