package com.buzztouch.extensions

import android.content.Context
import android.view.Menu
import android.view.MenuItem
import androidx.core.content.ContextCompat

fun Menu.addIfRoom(context: Context, itemId: Int, titleRes: Int, iconRes: Int? = null): MenuItem? =
    this.add(Menu.NONE, itemId, 0, context.getString(titleRes)).apply {
        if (iconRes != null) this.icon = ContextCompat.getDrawable(context, iconRes)
        this.setShowAsAction(MenuItem.SHOW_AS_ACTION_IF_ROOM)
    }

fun Menu.addNever(context: Context, itemId: Int, titleRes: Int, iconRes: Int? = null): MenuItem? =
    this.add(Menu.NONE, itemId, 0, context.getString(titleRes)).apply {
        if (iconRes != null) this.icon = ContextCompat.getDrawable(context, iconRes)
        this.setShowAsAction(MenuItem.SHOW_AS_ACTION_NEVER)
    }
