package com.buzztouch.extensions

import android.view.View
import android.view.ViewGroup

fun View.setSize(width: Int, height: Int) {
    layoutParams?.let {
        // layoutParams previously set - just update width/height
        layoutParams.width = width
        layoutParams.height = height
        requestLayout()
    } ?: kotlin.run {
        // layoutParams not previously set - set them now
        layoutParams = ViewGroup.LayoutParams(width, height)
    }
}
