/*  File Version: 3.0
 *	Copyright, David Book, buzztouch.com
 *
 *	All rights reserved.
 *
 *	Redistribution and use in source and binary forms, with or without modification, are 
 *	permitted provided that the following conditions are met:
 *
 *	Redistributions of source code must retain the above copyright notice which includes the
 *	name(s) of the copyright holders. It must also retain this list of conditions and the 
 *	following disclaimer. 
 *
 *	Redistributions in binary form must reproduce the above copyright notice, this list 
 *	of conditions and the following disclaimer in the documentation and/or other materials 
 *	provided with the distribution. 
 *
 *	Neither the name of David Book, or buzztouch.com nor the names of its contributors 
 *	may be used to endorse or promote products derived from this software without specific 
 *	prior written permission.
 *
 *	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
 *	ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
 *	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
 *	IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
 *	INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT 
 *	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
 *	PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *	WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY 
 *	OF SUCH DAMAGE. 
 */
package com.buzztouch.utils;

import android.content.Context;
import android.util.Log;

import com.buzztouch.buzztouch_appDelegate;


public class BT_debugger {

	/*
		Debugging Output
		---------------------------------------------------------------------------
		Set showDebugInfo to "true" in buzztouch_appDelegate to print details to the Android LogCat console.
		To see the Android LogCat Console, choose Window > Show View > Other > Android > LogCat 
		while the simulator or a connected device is running. Nearly every method has output 
		to show you details about how the program is executing. It looks like lots of 
		data (it is), but it's very useful for understanding how the application is behaving.
	 
	 */
	
	// print to log if the app's delegate class has this "turned on"
	public static void showIt(String messageToPrint){
		if(buzztouch_appDelegate.showDebugInfo){
			String LOGTAG = "ZZ";
			Log.w(LOGTAG, messageToPrint);      
		}
	}

	public static void logError(Context context, String messageToPrint) {
		if(buzztouch_appDelegate.showDebugInfo){
			String LOGTAG = "ZZ_" + context.getClass().getSimpleName();
			Log.e(LOGTAG, messageToPrint);
		}
	}

	public static void logError(String tag, String messageToPrint) {
		if(buzztouch_appDelegate.showDebugInfo){
			String LOGTAG = "ZZ_" + tag;
			Log.e(LOGTAG, messageToPrint);
		}
	}

	public static void logInfo(Context context, String messageToPrint) {
		if(buzztouch_appDelegate.showDebugInfo){
			String LOGTAG = "ZZ_" + context.getClass().getSimpleName();
			Log.i(LOGTAG, messageToPrint);
		}
	}

    public static void logInfo(String tag, String messageToPrint) {
        if(buzztouch_appDelegate.showDebugInfo){
            String LOGTAG = "ZZ_" + tag;
            Log.i(LOGTAG, messageToPrint);
        }
    }
	
	
}












