/*  File Version: 4.0.1
 *	Copyright, Chris Ruddell, buzztouch.com
 *
 *	All rights reserved.
 *
 *	Redistribution and use in source and binary forms, with or without modification, are
 *	permitted provided that the following conditions are met:
 *
 *	Redistributions of source code must retain the above copyright notice which includes the
 *	name(s) of the copyright holders. It must also retain this list of conditions and the
 *	following disclaimer.
 *
 *	Redistributions in binary form must reproduce the above copyright notice, this list
 *	of conditions and the following disclaimer in the documentation and/or other materials
 *	provided with the distribution.
 *
 *	Neither the name of David Book, or buzztouch.com nor the names of its contributors
 *	may be used to endorse or promote products derived from this software without specific
 *	prior written permission.
 *
 *	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 *	ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *	IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *	INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *	PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *	WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
 *	OF SUCH DAMAGE.
 */
package com.buzztouch.utils;

import android.annotation.TargetApi;
import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.pm.PackageManager;
import android.os.Build;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;

/**
 * Created by christopherruddell on 1/8/17.
 */

public class BT_permissions {

    public static final int PERMISSION_CODE_INTERNET = 1;
    public static final int PERMISSION_CODE_ACCESS_NETWORK_STATE = 2;
    public static final int PERMISSION_CODE_ACCESS_WIFI_STATE = 3;
    public static final int PERMISSION_CODE_LOCATION = 4;
    public static final int PERMISSION_CODE_WRITE_EXTERNAL_STORAGE = 5;
    public static final int PERMISSION_CODE_READ_PHONE_STATE = 6;
    public static final int PERMISSION_CODE_CAMERA = 7;
    public static final int PERMISSION_CODE_GET_ACCOUNTS = 8;
    public static final int PERMISSION_CODE_READ_CONTACTS = 9;
    public static final int PERMISSION_CODE_WRITE_CONTACTS = 10;
    public static final int PERMISSION_CODE_RECORD_AUDIO = 11;
    public static final int PERMISSION_CODE_VIBRATE = 12;
    public static final int PERMISSION_CODE_WAKE_LOCK = 13;
    public static final int PERMISSION_CODE_BLUETOOTH = 14;

    // Permission Checks...
    private void checkPermissions() {


    }

    @TargetApi(Build.VERSION_CODES.M)
    public static void checkPermission(final Activity context, final String permission, final int permissionCode, final String message) {
        if (ContextCompat.checkSelfPermission(context,permission)!= PackageManager.PERMISSION_GRANTED) {
            if (ActivityCompat.shouldShowRequestPermissionRationale(context, permission)) {

                AlertDialog.Builder adb = new AlertDialog.Builder(context);
                adb.setMessage(message);
                adb.setPositiveButton("OK", new DialogInterface.OnClickListener() {
                    @Override
                    public void onClick(DialogInterface dialogInterface, int i) {
                        checkPermission(context, permission, permissionCode, message);
                    }
                });
                adb.show();

            } else {

                // No explanation needed, we can request the permission.

                ActivityCompat.requestPermissions(context,
                        new String[]{permission},
                        permissionCode);
            }
        }
        else {
            // we must have already granted the permission - notify fragment
            String[]permissions = {permission};
            int[]grantResults = {PackageManager.PERMISSION_GRANTED};
            context.onRequestPermissionsResult(permissionCode, permissions, grantResults);
        }

    }


}
