package com.buzztouch.utils;

import android.content.Context;
import android.content.SharedPreferences;
import android.net.Uri;
import java.io.File;

import kotlin.Deprecated;

/**
 * Created by christopherruddell on 1/2/17.
 */

public class BT_preferences {
    private static final String TAG = "BT_preferences";
    private static final String SHARED_PREFERENCES_FILE = "BT_prefs";

    @Deprecated(message = "Use BT_preferencesKt methods instead")
    private static SharedPreferences getPrefs(Context context) {
        return context.getSharedPreferences(SHARED_PREFERENCES_FILE, Context.MODE_PRIVATE);
    }

    // gets a "saveAsFileName" from a URL
    public static String getSaveAsFileNameFromURL(String theURL){
        String ret = "";

        // if we have a 'saveAsFileName' in the querystring, return that..else..return file name
        Uri uri = Uri.parse(theURL);
        try{
            ret = uri.getQueryParameter("saveAsFileName");
        }catch(Exception n){
            ret = "";
        }

        // getQueryParameter may return null..
        if(ret == null){
            ret = "";
        }

        // if ret still empty...
        if(ret.length() < 1){
            File f = new File("" + uri);
            ret = f.getName();
        }

        BT_debugger.showIt(TAG + ":getSaveAsFileNameFromURL from: \"" + theURL + "\" file name: \"" + ret + "\"");
        return ret;
    }

    // gets a value of a preference saved on the device...
    public static String getPrefString(String nameOfPreference) {
        return BT_preferencesKt.INSTANCE.getString(nameOfPreference, "");
    }

    // sets a value of a preference to the device...
    public static void setPrefString(String nameOfPreference, String valueOfPreference) {
        BT_preferencesKt.INSTANCE.setString(nameOfPreference, valueOfPreference);
    }

    // gets a value of a preference saved on the device...
    public static Integer getPrefInteger(String nameOfPreference) {
        return BT_preferencesKt.INSTANCE.getInt(nameOfPreference, -1);
    }

    // sets a value of a preference to the device...
    public static void setPrefInteger(String nameOfPreference, Integer valueOfPreference){
        BT_preferencesKt.INSTANCE.setInt(nameOfPreference, valueOfPreference);
    }


    // delete local prefs
    public static void deleteAllLocalPrefs(){
        BT_debugger.showIt(TAG + ":deleteAllLocalPrefs deleting all preferences saved in the devices settings");
        BT_preferencesKt.INSTANCE.deleteAllLocalPrefs();
    }
}
