/*  File Version: 3.0
 *	Copyright, David Book, buzztouch.com
 *
 *	All rights reserved.
 *
 *	Redistribution and use in source and binary forms, with or without modification, are 
 *	permitted provided that the following conditions are met:
 *
 *	Redistributions of source code must retain the above copyright notice which includes the
 *	name(s) of the copyright holders. It must also retain this list of conditions and the 
 *	following disclaimer. 
 *
 *	Redistributions in binary form must reproduce the above copyright notice, this list 
 *	of conditions and the following disclaimer in the documentation and/or other materials 
 *	provided with the distribution. 
 *
 *	Neither the name of David Book, or buzztouch.com nor the names of its contributors 
 *	may be used to endorse or promote products derived from this software without specific 
 *	prior written permission.
 *
 *	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
 *	ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
 *	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
 *	IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
 *	INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT 
 *	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
 *	PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *	WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY 
 *	OF SUCH DAMAGE. 
 */
package com.buzztouch.utils;

import com.buzztouch.data_models.BT_item;

import org.json.JSONObject;

import java.util.Map;
import java.util.UUID;

public class BT_strings {
	
	// removes file extension from a file name
	public static String removeExtension(String s) {
		return BT_stringsKt.INSTANCE.removeExtension(s);
	}	
	
	// get property value from JSON string...
	public static String getJsonPropertyValue(JSONObject theJSONObject, String nameOfProperty, String defaultValue){
		return BT_stringsKt.INSTANCE.getJsonPropertyValue(theJSONObject, nameOfProperty, defaultValue);
	}
	
	// returns a style value for a screen setting from theme or screen data...
	public static String getStyleValueForScreen(BT_item theParentScreenData, String nameOfProperty, String defaultValue){
		return BT_stringsKt.INSTANCE.getStyleValueForScreen(theParentScreenData, nameOfProperty, defaultValue);
	}

	/**
	 * Converts a Map object to String in format of www-form-encoded
	 * @param map -- Map object to convert
	 * @return The encoded String to return
     */
	public static String convertMapToEncodedString(Map<String, String> map) {
		return BT_stringsKt.INSTANCE.convertMapToEncodedString(map);
	}
	
	
	// gets a "saveAsFileName" from a URL
	public static String getSaveAsFileNameFromURL(String theURL){
		return BT_stringsKt.INSTANCE.getSaveAsFileNameFromURL(theURL);
	}
	
	// gets a value of a preference saved on the device...
	@Deprecated // use BT_preferences class instead
	public static String getPrefString(String nameOfPreference){
		return BT_preferences.getPrefString(nameOfPreference);
	}
	
	// sets a value of a preference to the device...
	@Deprecated // use BT_preferences class instead
	public static void setPrefString(String nameOfPreference, String valueOfPreference){
		BT_preferences.setPrefString(nameOfPreference, valueOfPreference);
		
	}

	// gets a value of a preference saved on the device...
	@Deprecated // use BT_preferences class instead
	public static Integer getPrefInteger(String nameOfPreference){
		return BT_preferences.getPrefInteger(nameOfPreference);
	}
	
	// sets a value of a preference to the device...
	@Deprecated // use BT_preferences class instead
	public static void setPrefInteger(String nameOfPreference, Integer valueOfPreference){
		BT_preferences.setPrefInteger(nameOfPreference, valueOfPreference);
	}	
	
	
	// delete local prefs
	@Deprecated // use BT_preferences class instead
	public static void deleteAllLocalPrefs(){
		BT_preferences.deleteAllLocalPrefs();
	}	

	// merges variables in string (usually a URL)
	public static String mergeBTVariablesInString(String theString){
		return BT_stringsKt.INSTANCE.mergeBTVariablesInString(theString);
	}
	
	// formats bytes to human readable string
	public static String formatBytes(long bytes, boolean si){
		return BT_stringsKt.INSTANCE.formatBytes(bytes, si);
	}
	
	
	// returns a JSON object from a string...
	public static JSONObject getJsonObjectFromString(String theJsonString){
		return BT_stringsKt.INSTANCE.getJsonObjectFromString(theJsonString);
	}

    // returns a URL encoded string...
    public static String urlEncode(String theString){
		return BT_stringsKt.INSTANCE.urlEncode(theString);
    }

    //returns a URL encoded string from a complete URL...
    public static String encodeCompleteURL(String theURL){
		return BT_stringsKt.INSTANCE.encodeCompleteURL(theURL);
    }

	// creates a random guid
	public static String createGuid() {
		return BT_stringsKt.INSTANCE.createGuid();
	}
}


















